petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPFCGSetTruncationType

specify how many of its stored previous directions FCG uses during orthoganalization

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPFCGSetTruncationType(KSP ksp,KSPFCDTruncationType truncstrat)

Logically Collective on KSP Many br

KSP_FCD_TRUNC_TYPE_STANDARD uses all (up to mmax) stored directions Many brKSP_FCD_TRUNC_TYPE_NOTAY uses the last max(1,mod(i,mmax)) stored directions at iteration i=0,1,.. Many br

### Input Parameters

| ksp | - the Krylov space context Many br
| truncstrat | - the choice of strategy Many br

Many br

### Options Database

-ksp_fcg_truncation_type <standard, notay> -specify how many of its stored previous directions FCG uses during orthoganalization Many br

.seealso: KSPFCDTruncationType, KSPFCGGetTruncationType Many br

Level:intermediate
Location:src/ksp/ksp/impls/fcg/fcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages